# 3rd Party Support

If you have add-on with a fieldtype you can also add support for Dexter directly into your add-on. Create a `dex.your_addon.php`file in your add-on and make sure it has the following signature.

```php
use BoldMinded\Dexter\Service\Config;
use BoldMinded\Dexter\Service\Field\FieldTypeInterface;
use ExpressionEngine\Model\Channel\ChannelEntry;
use ExpressionEngine\Model\Content\FieldFacade;

class YourAddonDexter implements FieldTypeInterface
{
    public function process(
        ChannelEntry $channelEntry,
        Config $config,
        $fieldId,
        $fieldSettings,
        $value,
        FieldFacade|null $fieldFacade
    ): array {
        // Do stuff to format data for Algolia or Meilsearch
        return [
            'foobar' => 'bazz'
        ];       
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.boldminded.com/dexter/docs/3rd-party-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
